<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>女性のためのラーメンデータベース | ホーム</title>
    <!-- header.cssの読み込み -->
    <link href="css/header.css" rel="stylesheet" type="text/css" />
    <!-- BootstrapのCSS読み込み -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <!-- home.cssの読み込み -->
    <link href="css/home.css" rel="stylesheet" type="text/css" />
</head>

<body>
    <!-- ヘッダー -->
    <header>
        <nav class="navbar navbar-dark navbar-expand  flex-md-row justify-content-end header-one">
            <ul class="navbar-nav navbar-dark flex-row mr-auto header-two">
                <li class="nav-item active">
                    <!-- ページタイトル、スレッド一覧へのリンク -->
                    <a class="nav-link" href="top.html">女性のためのラーメンデータベース</a>
                </li>
            </ul>
            <ul class="navbar-nav flex-row">
                <!-- ログインユーザー名表示、更新ページへのリンク -->
                <li class="nav-item"><a class="nav-link" href="user_thread_list.html">${userInfo.name}さん</a></li>
                <!-- ログアウトリンク -->
                <li class="nav-item"><a class="nav-link" href="login.html">ログアウト</a>
                </li>
            </ul>
        </nav>
    </header>

    <div class="container">
        <div class="row">
            <div class="col">
                <h1 class="text-center">投稿一覧</h1>
            </div>
        </div>

        <div class="row">
            <div class="col">
                <div class="card">
                    <div class="card-body">
                        <!-- 検索フォーム -->
                        <form method="post" action="ThreadSearchServlet">
                            <div class="form-group row">
                                <label for="title" class="col-2 col-form-label">店名</label>
                                <div class="col-10">
                                    <!-- タイトル入力 -->
                                    <input type="text" name="shop-name" class="form-control" id="name" value="${shop.name}">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-2 col-form-label">投稿日</label>
                                <div class="col-10">
                                    <div class="row">
                                        <div class="col-5">
                                            <!-- 投稿日 （開始日） -->
                                            <input type="date" name="start-date" id="startPostDate" class="form-control"
                                                value="${starDate}">
                                        </div>
                                        <div class="col-2 text-center">~</div>
                                        <div class="col-5">
                                            <!-- 投稿日 （終了日） -->
                                            <input type="date" name="end-date" id="endDate" class="form-control"
                                                value="${endDate}">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="text-right">
                                <button type="submit" class="btn btn-primary btn-lg form-submit">検索</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col mt-3 d-flex justify-content-between">
                <h3 class="text-center">投稿一覧</h3>
                <!-- スレッド追加リンク-->
                <p><a class="text-primary" href="thread_add.html">スレッドを立てる</a></p>
                </li>
            </div>
        </div>

        <div class="row">
            <div class="col">
                <div class="card">
                    <table class="table">
                        <thead class="thead-light">
                            <tr>
                                <th>店名</th>
                                <th>更新日</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <!-- スレッド表示用 for文 -->
                            <c:forEach var="thread" items="${threadList}">
                                <tr>
                                    <td class="col-9">
                                        <!-- スレッド表示・コメント投稿ページ リンク -->
                                        <a href="thread_comment.html?id=${thread.id}"
                                            class="text-primary">${shop.name}</a>
                                    </td>
                                    <!-- スレッド表示・コメント投稿ページ リンク -->
                                    <td>${thead.postDatetime}</td>
                                    <td class="text-right col-1">
                                        <!-- スレッド更新ボタン 表示制御 -->
                                        <c:if test="${userInfo.id == thread.userId}">
                                            <!-- スレッド更新ボタン -->
                                            <a type="button" class="btn btn-success"
                                                href="thread_update.html?id=${thread.id}">更新</a>
                                        <!-- スレッド削除ボタン 表示制御 -->
                                        <c:if test="${userInfo.id == thread.userId}">
                                            <!-- スレッド削除ボタン -->
                                            <a type="button" class="btn btn-danger"
                                                href="thread_comment_delete.html?id=${thread.id}">削除</a>
                                        </c:if>
                                    </td>
                                </tr>
                            </c:forEach>
                        </tbody>
                    </table>

                </div>
            </div>
        </div>
    </div>
</body>

</html>